<?php
/**
 * About Us Template options
 *
 * @package Theme Palace
 * @subpackage Elead Pro
 * @since Elead Pro 1.0
 */

// Add panel for About Us Template
$wp_customize->add_panel( 'elead_pro_about_us_panel' , array(
    'title'      => esc_html__( 'About Us Template','elead-pro' ),
    'description'=> esc_html__( 'About Us Template Options', 'elead-pro' ),
    'priority'   => 150,
) );

/*
 * About Us Name Section
 */
$wp_customize->add_section( 'elead_pro_about_advert_section', array(
	'title'             => esc_html__( 'About Us Name Section','elead-pro' ),
	'description'       => esc_html__( 'About Us Name Section Options.', 'elead-pro' ),
	'panel'             => 'elead_pro_about_us_panel',
) );

// Name Section Title
$wp_customize->add_setting( 'elead_pro_theme_options[about_advert_title]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['about_advert_title'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[about_advert_title]', array(
	'label'            	=> esc_html__( 'Name Section Title', 'elead-pro' ),
	'section'          	=> 'elead_pro_about_advert_section',
	'type'             	=> 'text',
) );

// Name Section Button label
$wp_customize->add_setting( 'elead_pro_theme_options[about_advert_btn_label]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['about_advert_btn_label'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[about_advert_btn_label]', array(
	'label'            	=> esc_html__( 'Button Label', 'elead-pro' ),
	'section'          	=> 'elead_pro_about_advert_section',
	'type'             	=> 'text',
) );

// url for button
$wp_customize->add_setting( 'elead_pro_theme_options[about_advert_url]', array(
	'sanitize_callback'	=> 'esc_url_raw',
	'default'          	=> $options['about_advert_url'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[about_advert_url]', array(
	'label'            	=> esc_html__( 'Button Label Url', 'elead-pro' ),
	'section'          	=> 'elead_pro_about_advert_section',
	'type'             	=> 'url',
) );

/*
 * Message Section
 */
$wp_customize->add_section( 'elead_pro_message_section', array(
	'title'             => esc_html__( 'Message From Chairman','elead-pro' ),
	'description'       => esc_html__( 'Message From Chairman Options.', 'elead-pro' ),
	'panel'             => 'elead_pro_about_us_panel',
) );

// Message Section enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[message_enable]', array(
	'sanitize_callback'	=> 'elead_pro_sanitize_checkbox',
	'default'          	=> $options['message_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[message_enable]', array(
	'label'            	=> esc_html__( 'Enable Message Section', 'elead-pro' ),
	'section'          	=> 'elead_pro_message_section',
	'type'             	=> 'checkbox',
) );

// Message Section main title setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[message_section_title]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['message_section_title'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[message_section_title]', array(
	'label'            	=> esc_html__( 'Section Title', 'elead-pro' ),
	'section'          	=> 'elead_pro_message_section',
	'type'             	=> 'text',
	'active_callback'	=> 'elead_pro_is_message_enable',
) );

// Message Section content type setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[message_content_type]', array(
	'sanitize_callback'	=> 'elead_pro_sanitize_select',
	'default'			=> $options['message_content_type'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[message_content_type]', array(
	'label'            	=> esc_html__( 'Message Content Type', 'elead-pro' ),
	'section'          	=> 'elead_pro_message_section',
	'type'             	=> 'select',
	'choices'			=> elead_pro_message(),
	'active_callback'	=> 'elead_pro_is_message_enable',
) );

// Message Section title setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[message_title]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['message_title'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[message_title]', array(
	'label'            	=> esc_html__( 'Name Of Person', 'elead-pro' ),
	'section'          	=> 'elead_pro_message_section',
	'type'             	=> 'text',
	'active_callback'	=> 'elead_pro_message_content_custom',
) );

// Message Section sub title setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[message_sub_title]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['message_sub_title'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[message_sub_title]', array(
	'label'            	=> esc_html__( 'Position', 'elead-pro' ),
	'section'          	=> 'elead_pro_message_section',
	'type'             	=> 'text',
	'active_callback'	=> 'elead_pro_is_message_enable',
) );

// Message Section description setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[message_description]', array(
	'sanitize_callback'	=> 'wp_kses_post',
	'default'          	=> $options['message_description'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[message_description]', array(
	'label'            	=> esc_html__( 'Description', 'elead-pro' ),
	'section'          	=> 'elead_pro_message_section',
	'type'             	=> 'textarea',
	'active_callback'	=> 'elead_pro_message_content_custom',
) );

// Message Section title link setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[message_link]', array(
	'sanitize_callback'	=> 'esc_url_raw',
	'default'          	=> $options['message_link'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[message_link]', array(
	'label'            	=> esc_html__( 'Link URL', 'elead-pro' ),
	'section'          	=> 'elead_pro_message_section',
	'type'             	=> 'url',
	'active_callback'	=> 'elead_pro_message_content_custom',
) );

// Message Section background image setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[message_image]', array(
	'sanitize_callback' => 'elead_pro_sanitize_image',
	'default'           => $options['message_image'],
) );

$wp_customize->add_control(
	new WP_Customize_Image_Control( $wp_customize, 'elead_pro_theme_options[message_image]',
		array(
		'label'       		=> esc_html__( 'Select Highlight Image', 'elead-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'elead-pro' ), 1920, 1080 ),
		'section'     		=> 'elead_pro_message_section',
		'active_callback'	=> 'elead_pro_message_content_custom',
) ) );

// Message Section content type post setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[message_content_post]', array(
	'validate_callback' => 'elead_pro_validate_post_id',
	'sanitize_callback' => 'elead_pro_sanitize_single_post_id',
) );

$wp_customize->add_control( 'elead_pro_theme_options[message_content_post]', array(
	'active_callback'	=> 'elead_pro_message_content_post',
	'label'             => esc_html__( 'Input Post ID', 'elead-pro' ),
	'description'       => esc_html__( 'Please Input Valid Post ID', 'elead-pro' ),
	'section'           => 'elead_pro_message_section',
	'type'				=> 'number',
	'input_attrs'		=> array(
		'min'	=> 1,
		'style'	=> 'width:100px',
		),
) );

// Message Section content type page drop-down setting and control
$wp_customize->add_setting( 'elead_pro_theme_options[message_content_page]', array(
	'sanitize_callback' => 'elead_pro_sanitize_page',
) );

$wp_customize->add_control( 'elead_pro_theme_options[message_content_page]', array(
	'label'           	=> esc_html__( 'Select Page', 'elead-pro' ),
	'section'        	=> 'elead_pro_message_section',
	'active_callback' 	=> 'elead_pro_message_content_page',
	'type'				=> 'dropdown-pages'
) );


/*
 * Features Section
 */
$wp_customize->add_section( 'elead_pro_features_section', array(
	'title'             => esc_html__( 'Features','elead-pro' ),
	'description'       => esc_html__( 'Features Options.', 'elead-pro' ),
	'panel'             => 'elead_pro_about_us_panel',
) );

// Features Section enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[features_enable]', array(
	'sanitize_callback'	=> 'elead_pro_sanitize_checkbox',
	'default'          	=> $options['features_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[features_enable]', array(
	'label'            	=> esc_html__( 'Enable Features Section', 'elead-pro' ),
	'section'          	=> 'elead_pro_features_section',
	'type'             	=> 'checkbox',
) );

// Features Section content type setting and control.
// options are same as goal section's
$wp_customize->add_setting( 'elead_pro_theme_options[features_content_type]', array(
	'sanitize_callback'	=> 'elead_pro_sanitize_select',
	'default'			=> $options['features_content_type'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[features_content_type]', array(
	'label'            	=> esc_html__( 'Features Content Type', 'elead-pro' ),
	'section'          	=> 'elead_pro_features_section',
	'type'             	=> 'select',
	'choices'			=> elead_pro_goal(),
	'active_callback'	=> 'elead_pro_is_features_enable',
) );

// Features Section content type post setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[features_content_post]', array(
	'validate_callback' => 'elead_pro_validate_post_id',
	'sanitize_callback' => 'elead_pro_sanitize_post_ids',
) );

$wp_customize->add_control( 'elead_pro_theme_options[features_content_post]', array(
	'active_callback'	=> 'elead_pro_features_content_post',
	'label'             => esc_html__( 'Input Post Ids', 'elead-pro' ),
	'description'       => esc_html__( 'Please input 3 post ids. ie: 11, 24, 34', 'elead-pro' ),
	'section'           => 'elead_pro_features_section',
	'type'				=> 'text',
) );

// Features Section content type page setting and control
for ( $i = 1; $i <= 3; $i++ ) {
	// Show page drop-down setting and control
	$wp_customize->add_setting( 'elead_pro_theme_options[features_content_page_'.$i.']', array(
		'sanitize_callback' => 'elead_pro_sanitize_page'
	) );

	$wp_customize->add_control( 'elead_pro_theme_options[features_content_page_'.$i.']', array(
		'label'           	=> sprintf( esc_html__( 'Select Page %d', 'elead-pro' ), $i ),
		'section'        	=> 'elead_pro_features_section',
		'active_callback' 	=> 'elead_pro_features_content_page',
		'type'				=> 'dropdown-pages'
	) );

	// features custom post hr setting and control
	$wp_customize->add_setting( 'elead_pro_theme_options[features_custom_hr_line_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field'
	) );

	$wp_customize->add_control( new Elead_Pro_Customize_Horizontal_Line( $wp_customize, 'elead_pro_theme_options[features_custom_hr_line_'.$i.']',
		array(
			'section'         => 'elead_pro_features_section',
			'active_callback' => 'elead_pro_features_content_custom',
			'type'			  => 'hr'
	) ) );

	// features custom note
	$wp_customize->add_setting( 'elead_pro_theme_options[features_custom_note_'.$i.']', array(
		'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control( new Elead_Pro_Note_Control( $wp_customize, 'elead_pro_theme_options[features_custom_note_'.$i.']', array(
		'label'           	=> sprintf( esc_html__( 'Input Custom Value For About US Features %s ', 'elead-pro' ),$i ),
		'section'         	=> 'elead_pro_features_section',
		'type'            	=> 'description',
		'active_callback' 	=> 'elead_pro_features_content_custom',
	) ) );

	// features Section custom title setting and control.
	$wp_customize->add_setting( 'elead_pro_theme_options[features_custom_title_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'			=> esc_html__( 'Quality Teacher','elead-pro' ),
	) );

	$wp_customize->add_control( 'elead_pro_theme_options[features_custom_title_'.$i.']', array(
		'active_callback'	=> 'elead_pro_features_content_custom',
		'label'             => sprintf( esc_html__( 'Custom Title %s', 'elead-pro' ),$i ),
		'section'           => 'elead_pro_features_section',
		'type'				=> 'text'
	) );

	// features Section custom title link setting and control.
	$wp_customize->add_setting( 'elead_pro_theme_options[features_custom_url_'.$i.']', array(
		'sanitize_callback' => 'esc_url_raw',
		'default'			=> esc_html__( '#','elead-pro' ),
	) );

	$wp_customize->add_control( 'elead_pro_theme_options[features_custom_url_'.$i.']', array(
		'active_callback'	=> 'elead_pro_features_content_custom',
		'label'             => sprintf( esc_html__( 'Custom Title Url %s', 'elead-pro' ),$i ),
		'section'           => 'elead_pro_features_section',
		'type'				=> 'url'
	) );

	// features Section custom excerpt setting and control.
	$wp_customize->add_setting( 'elead_pro_theme_options[features_custom_excerpt_'.$i.']', array(
		'sanitize_callback' => 'wp_kses_post',
		'default'			=> esc_html__( 'Proin efficitur velit et cursus vulputate. Aenean ele mentum sodales libero vitae auctor. Pellentesque tellus nisl, porta eu feugiat et, eleifend ut mi.','elead-pro' ),
	) );

	$wp_customize->add_control( 'elead_pro_theme_options[features_custom_excerpt_'.$i.']', array(
		'active_callback'	=> 'elead_pro_features_content_custom',
		'label'             => sprintf( esc_html__( 'Custom Excerpt %s', 'elead-pro' ),$i ),
		'section'           => 'elead_pro_features_section',
		'type'				=> 'textarea'
	) );

	// features Section custom icon setting and control.
	$wp_customize->add_setting( 'elead_pro_theme_options[features_custom_icon_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'			=> 'fa-user',
	) );

	$wp_customize->add_control( 'elead_pro_theme_options[features_custom_icon_'.$i.']', array(
		'active_callback'	=> 'elead_pro_features_content_custom',
		'label'             => sprintf( esc_html__( 'Custom Icon %s', 'elead-pro' ),$i ),
		'description'     	=> sprintf( esc_html__( 'Use font awesome icon: Eg: %1$s. %2$s See more here %3$s', 'elead-pro' ), 'fa-users', '<a href="' . esc_url( 'http://fontawesome.io/icons/' ) . '" target="_blank">', '</a>' ),
		'section'           => 'elead_pro_features_section',
		'type'				=> 'text'
	) );
}



/**
 * Team section
 *
 */

$wp_customize->add_section( 'elead_pro_aboutteam', array(
	'title'             => esc_html__( 'About Us Team','elead-pro' ),
	'description'       => esc_html__( 'About Us Team Section Options.', 'elead-pro' ),
	'panel'             => 'elead_pro_about_us_panel',
) );

// aboutteam Section enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_enable]', array(
	'sanitize_callback'	=> 'elead_pro_sanitize_checkbox',
	'default'          	=> $options['aboutteam_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_enable]', array(
	'label'            	=> esc_html__( 'Enable About Team Section', 'elead-pro' ),
	'section'          	=> 'elead_pro_aboutteam',
	'type'             	=> 'checkbox',
) );

// aboutteam Section title setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_section_title]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['aboutteam_section_title'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_section_title]', array(
	'label'            	=> esc_html__( 'Section Title', 'elead-pro' ),
	'section'          	=> 'elead_pro_aboutteam',
	'type'             	=> 'text',
	'active_callback'	=> 'elead_pro_is_aboutteam_enable',
) );

// aboutteam Section subtitle setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_section_subtitle]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['aboutteam_section_subtitle'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_section_subtitle]', array(
	'label'            	=> esc_html__( 'Section SubTitle', 'elead-pro' ),
	'section'          	=> 'elead_pro_aboutteam',
	'type'             	=> 'text',
	'active_callback'	=> 'elead_pro_is_aboutteam_enable',
) );

// aboutteam Section excerpt setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_section_excerpt]', array(
	'sanitize_callback'	=> 'wp_kses_post',
	'default'          	=> $options['aboutteam_section_excerpt'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_section_excerpt]', array(
	'label'            	=> esc_html__( 'Section Description', 'elead-pro' ),
	'section'          	=> 'elead_pro_aboutteam',
	'type'             	=> 'textarea',
	'active_callback'	=> 'elead_pro_is_aboutteam_enable',
) );

// aboutteam post hr setting and control
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_hr]', array(
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( new Elead_Pro_Customize_Horizontal_Line( $wp_customize, 'elead_pro_theme_options[aboutteam_hr]',
	array(
		'section'         => 'elead_pro_aboutteam',
		'active_callback' => 'elead_pro_is_aboutteam_enable',
		'type'			  => 'hr'
) ) );

// aboutteam Section content type setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_content_type]', array(
	'default'          	=> $options['aboutteam_content_type'],
	'sanitize_callback'	=> 'elead_pro_sanitize_select',
) );

$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_content_type]', array(
	'label'            	=> esc_html__( 'About Team Content Type', 'elead-pro' ),
	'section'          	=> 'elead_pro_aboutteam',
	'type'             	=> 'select',
	'active_callback'	=> 'elead_pro_is_aboutteam_enable',
	'choices'			=> elead_pro_aboutteam_content_type(),
) );

// aboutteam Section content type category setting and control
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_content_category]', array(
	'sanitize_callback' => 'elead_pro_sanitize_single_category'
) );

$wp_customize->add_control( new Elead_Pro_Dropdown_Single_Category_Control( $wp_customize, 'elead_pro_theme_options[aboutteam_content_category]', array(
	'label'           => esc_html__( 'Select Category', 'elead-pro' ),
	'description'     => esc_html__( 'Four latest posts from selected category will be shown.', 'elead-pro' ),
	'section'         => 'elead_pro_aboutteam',
	'type'			  => 'dropdown-category',
	'active_callback' => 'elead_pro_aboutteam_content_category',
) ) );

// aboutteam Section content type post setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_content_post]', array(
	'sanitize_callback' => 'elead_pro_sanitize_post_ids',
) );

$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_content_post]', array(
	'active_callback'	=> 'elead_pro_aboutteam_content_post',
	'label'             => esc_html__( 'Input Post Ids', 'elead-pro' ),
	'description'       => esc_html__( 'Simply hover post title on dashboard to see the Post ID. Max no. of posts allowed is 4. ie: 11, 24, 34', 'elead-pro' ),
	'section'           => 'elead_pro_aboutteam',
	'type'				=> 'text'
) );

// aboutteam Section content type team setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_content_team]', array(
	'sanitize_callback' => 'elead_pro_sanitize_post_ids',
) );

$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_content_team]', array(
	'active_callback'	=> 'elead_pro_aboutteam_content_team',
	'label'             => esc_html__( 'Input Team Ids', 'elead-pro' ),
	'description'       => esc_html__( 'Simply hover post title on dashboard to see the Post ID. Max no. of aboutteams allowed is 4. ie: 11, 24, 34', 'elead-pro' ),
	'section'           => 'elead_pro_aboutteam',
	'type'				=> 'text'
) );

// aboutteam Section content type team category setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_content_team_category]', array(
	'sanitize_callback' => 'absint',
) );

$wp_customize->add_control( new Elead_Pro_Dropdown_Single_Category_Control( $wp_customize, 'elead_pro_theme_options[aboutteam_content_team_category]', array(
	'label'           => esc_html__( 'Select Team Category', 'elead-pro' ),
	'description'     => esc_html__( 'Four latest teams from selected category will be shown.', 'elead-pro' ),
	'section'         => 'elead_pro_aboutteam',
	'taxonomy'        => 'tp-team-category',
	'type'			  => 'dropdown-category',
	'active_callback' => 'elead_pro_aboutteam_content_team_category',
) ) );

for ( $i = 1; $i <= 4; $i++ ) {
	// aboutTeam custom post hr setting and control
	$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_custom_hr_line_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field'
	) );

	$wp_customize->add_control( new Elead_Pro_Customize_Horizontal_Line( $wp_customize, 'elead_pro_theme_options[aboutteam_custom_hr_line_'.$i.']',
		array(
			'section'         => 'elead_pro_aboutteam',
			'active_callback' => 'elead_pro_aboutteam_content_custom',
			'type'			  => 'hr'
	) ) );

	// aboutTeam custom note
	$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_custom_note_'.$i.']', array(
		'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control( new Elead_Pro_Note_Control( $wp_customize, 'elead_pro_theme_options[aboutteam_custom_note_'.$i.']', array(
		'label'           	=> sprintf( esc_html__( 'Input Custom Value For Team %s ', 'elead-pro' ),$i ),
		'section'         	=> 'elead_pro_aboutteam',
		'type'            	=> 'description',
		'active_callback' 	=> 'elead_pro_aboutteam_content_custom',
	) ) );

	// aboutTeam Section custom title setting and control.
	$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_custom_title_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'			=> esc_html__( 'Ricky Ortega','elead-pro' ),
	) );

	$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_custom_title_'.$i.']', array(
		'active_callback'	=> 'elead_pro_aboutteam_content_custom',
		'label'             => sprintf( esc_html__( 'Team Member Name %s', 'elead-pro' ),$i ),
		'section'           => 'elead_pro_aboutteam',
		'type'				=> 'text'
	) );

	// aboutTeam Section custom position setting and control.
	$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_custom_subtitle_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'			=> esc_html__( 'Art Teacher','elead-pro' ),
	) );

	$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_custom_subtitle_'.$i.']', array(
		'active_callback'	=> 'elead_pro_aboutteam_content_custom',
		'label'             => sprintf( esc_html__( 'Team Member Designation %s', 'elead-pro' ),$i ),
		'section'           => 'elead_pro_aboutteam',
		'type'				=> 'text'
	) );

	// aboutteam custom image setting and control.
	$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_custom_image_'.$i.']', array(
		'sanitize_callback' => 'elead_pro_sanitize_image',
		'default'			=> get_template_directory_uri() . '/assets/uploads/professional-01.jpg',
	) );

	$wp_customize->add_control(
		new WP_Customize_Image_Control( $wp_customize, 'elead_pro_theme_options[aboutteam_custom_image_'.$i.']',
			array(
			'label'       		=> sprintf( esc_html__( 'Team Member Image %s', 'elead-pro' ),$i ),
			'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'elead-pro' ), 400, 400 ),
			'section'     		=> 'elead_pro_aboutteam',
			'active_callback'	=> 'elead_pro_aboutteam_content_custom',
	) ) );
	
	// aboutTeam Section custom title link setting and control.
	$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_member_custom_url_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'			=> esc_html__( '#','elead-pro' ),
	) );

	$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_member_custom_url_'.$i.']', array(
		'active_callback'	=> 'elead_pro_aboutteam_content_custom',
		'label'             => sprintf( esc_html__( 'Team Member Single Link %s', 'elead-pro' ),$i ),
		'section'           => 'elead_pro_aboutteam',
		'type'				=> 'text'
	) );

}

// aboutTeam Section button label setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_custom_btn_label]', array(
	'default'           => $options['aboutteam_custom_btn_label'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_custom_btn_label]', array(
	'active_callback'	=> 'elead_pro_aboutteam_content_category_disable',
	'label'             => esc_html__( 'Custom button label', 'elead-pro' ),
	'section'           => 'elead_pro_aboutteam',
	'type'				=> 'text'
) );

// aboutTeam Section button label url setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[aboutteam_custom_btn_url]', array(
	'default'           => $options['aboutteam_custom_btn_url'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'elead_pro_theme_options[aboutteam_custom_btn_url]', array(
	'active_callback'	=> 'elead_pro_aboutteam_content_category_disable',
	'label'             => esc_html__( 'Custom button url', 'elead-pro' ),
	'section'           => 'elead_pro_aboutteam',
	'type'				=> 'text'
) );