<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Elead Pro
* @since Elead Pro 1.0
*/

if ( ! function_exists( 'elead_pro_validate_slider_count' ) ) :
    function elead_pro_validate_slider_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'elead-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_no_of_sliders', esc_html__( 'Minimum no of sliders is 1', 'elead-pro' ) );
        } elseif ( $value > 10 ) {
            $validity->add( 'max_no_of_sliders', esc_html__( 'Maximum no of sliders is 10', 'elead-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'elead_pro_validate_post_id' ) ) :
    function elead_pro_validate_post_id( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'elead-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_value', esc_html__( 'Minimum value is 1', 'elead-pro' ) );
        } 
        return $validity;
    }
endif;

if ( ! function_exists( 'elead_pro_validate_course_count' ) ) :
    function elead_pro_validate_course_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'elead-pro' ) );
        } elseif ( $value < 3 ) {
            $validity->add( 'min_no_of_courses', esc_html__( 'Minimum no of courses is 3', 'elead-pro' ) );
        } elseif ( $value > 6 ) {
            $validity->add( 'max_no_of_courses', esc_html__( 'Maximum no of courses is 6', 'elead-pro' ) );
        }
        return $validity;
    }
endif;


if ( ! function_exists( 'elead_pro_validate_testimonial_count' ) ) :
    function elead_pro_validate_testimonial_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'elead-pro' ) );
        } elseif ( $value < 3 ) {
            $validity->add( 'min_no_of_testimonials', esc_html__( 'Minimum no of testimonials is 3', 'elead-pro' ) );
        } elseif ( $value > 6 ) {
            $validity->add( 'max_no_of_testimonials', esc_html__( 'Maximum no of testimonials is 9', 'elead-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'elead_pro_validate_destination_count' ) ) :
    function elead_pro_validate_destination_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'elead-pro' ) );
        } elseif ( $value < 3 ) {
            $validity->add( 'min_no_of_destinations', esc_html__( 'Minimum no of destinations is 3', 'elead-pro' ) );
        } elseif ( $value > 6 ) {
            $validity->add( 'max_no_of_destinations', esc_html__( 'Maximum no of destinations is 6', 'elead-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'elead_pro_validate_study_guide_count' ) ) :
    function elead_pro_validate_study_guide_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'elead-pro' ) );
        } elseif ( $value < 3 ) {
            $validity->add( 'min_no_of_guides', esc_html__( 'Minimum no of guides is 3', 'elead-pro' ) );
        } elseif ( $value > 9 ) {
            $validity->add( 'max_no_of_guides', esc_html__( 'Maximum no of guides is 6', 'elead-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'elead_pro_validate_quality_service_count' ) ) :
    function elead_pro_validate_quality_service_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'elead-pro' ) );
        } elseif ( $value < 3 ) {
            $validity->add( 'min_no_of_services', esc_html__( 'Minimum no of services is 3', 'elead-pro' ) );
        } elseif ( $value > 9 ) {
            $validity->add( 'max_no_of_services', esc_html__( 'Maximum no of services is 6', 'elead-pro' ) );
        }
        return $validity;
    }
endif;
