<?php 
/**
 * Testimonial & Subscribe section
 *
 * This is the template for the content of testimonial section
 *
 * @package Theme Palace
 * @subpackage Elead Pro
 * @since Elead Pro 1.0
 */
if ( ! function_exists( 'elead_pro_add_testimonial_section' ) ) :
    /**
    * Add testimonial section
    *
    *@since Elead Pro 1.0
    */
    function elead_pro_add_testimonial_section() { 
        $options = elead_pro_get_theme_options();

        // Check if testimonial is enabled
        $enable_testimonial = apply_filters( 'elead_pro_section_status', true, 'testimonial_enable' );
        // Check if subscribe is enabled
        $enable_subscribe = apply_filters( 'elead_pro_section_status', true, 'subscribe_enable' );
        if ( true !== $enable_testimonial && true !== $enable_subscribe ) {
            return false;
        }

        if( true == $options['testimonial_enable'] && ( true == $options['subscribe_enable'] && class_exists( 'Jetpack' ) && Jetpack::is_module_active( 'subscriptions' ) ) ) {
            $addcolumn = '2';
        }
        else {
            $addcolumn = '1';   
        } ?>
        <section id="testimonial" style="background-image:url( '<?php echo get_template_directory_uri() . '/assets/uploads/promotion.jpg'; ?>')">
            <div class="wrapper col-<?php echo absint( $addcolumn );?>">

                <?php 
                /**
                 * elead_pro_add_testimonial_subscribe_hook hook
                 *
                 * @hooked elead_pro_add_testimonial -  10
                 * @hooked elead_pro_add_subscribe -  20
                 *
                 */
                do_action( 'elead_pro_add_testimonial_subscribe_hook' );
                ?>
            </div><!-- .wrapper -->
            <div class="page-decorations">
                <img src="<?php echo get_template_directory_uri() . '/assets/uploads/decoration-1.png'; ?>" alt="<?php echo esc_attr__( 'Decoration','elead-pro'); ?>">
            </div><!-- .page-decorations -->
        </section><!-- #client-testimonial -->
    <?php }
endif;
add_action( 'elead_pro_primary_content_action', 'elead_pro_add_testimonial_section', 100 );